Bug 491560 - Exception messages are not friendly
Exception messages are not friendly
Status: NEW
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Whitehurst
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2009-03-22 19:35 EDT by Noam
Modified: 2016-01-28 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noam 2009-03-22 19:35:27 EDT
Usually the error messages of penrose contain exception messages. The exception messages usually very long and contain a lot of technical details like classes and function names of Penrose code. Customer may reads this errors and would not understand the meaning of the errors.
Comment 1 Endi Sukma Dewata 2009-03-23 22:09:08 EDT
Adding user friendly messages in every possible error cases requires a lot of effort. We need a list of error cases that we support and the appropriate error message for each of it.
Comment 2 Endi Sukma Dewata 2009-03-26 19:06:31 EDT
The code has been fixed to handle certain types of exceptions in a better way. See: https://bugzilla.redhat.com/show_bug.cgi?id=491140

Note You need to log in before you can comment on or make changes to this bug.